<?php

namespace App\Modules\FactCurrency\Application\Delete;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class DeleteFactCurrencyQuery implements Query
{
    public function __construct(
        private int $idFactCurrency
    ) {
    }

    public function idFactCurrency(): int
    {
        return $this->idFactCurrency;
    }
}
